
## pull official base image
FROM nginx/unit:1.22.0-python3.9
EXPOSE 80

## set work directory
WORKDIR /usr/src/app

## install dependencies
COPY ./requirements.txt .
RUN pip install -r requirements.txt

## copy project
COPY ./CalibreWebCompanion ./CalibreWebCompanion
COPY ./deployment/entrypoints/* /docker-entrypoint.d/
# perms
RUN chown -R unit:unit /usr/src/app 
RUN chmod +x /docker-entrypoint.d/start.sh


# docker run --publish 80:80 \
# -v '/home/MassiveAtoms/Desktop/logs:/usr/src/app/data' \
# -v '/home/MassiveAtoms/windows/Users/MassiveAtoms/Documents/Calibre Library/:/usr/src/app/calibredir' \
# --name cw calibreweb:1.0
